class LiftListEntity {

  int pageNum;
  int pageCount;
  int total;
  int pageSize;
  bool hasNext;
  bool hasPrev;
  List<LiftListItem> rows;

	LiftListEntity.fromJsonMap(Map<String, dynamic> map): 
		pageNum = map["pageNum"],
		pageCount = map["pageCount"],
		total = map["total"],
		pageSize = map["pageSize"],
		hasNext = map["hasNext"],
		hasPrev = map["hasPrev"],
		rows = List<LiftListItem>.from(map["rows"].map((it) => LiftListItem.fromJsonMap(it??{})));

	Map<String, dynamic> toJson() {
		final Map<String, dynamic> data = new Map<String, dynamic>();
		data['pageNum'] = pageNum;
		data['pageCount'] = pageCount;
		data['total'] = total;
		data['pageSize'] = pageSize;
		data['hasNext'] = hasNext;
		data['hasPrev'] = hasPrev;
		data['rows'] = rows != null ? 
			this.rows.map((v) => v.toJson()).toList()
			: null;
		return data;
	}
}


class LiftListItem {

	String id;
	String registrationCode;
	String liftCode;
	String liftBrand;
	String liftType;
	String liftTypeName;
	String useCompanyCode;

	LiftListItem.fromJsonMap(Map<String, dynamic> map):
				id = map["id"]??"",
				registrationCode = map["registrationCode"]??"",
				liftCode = map["liftCode"]??"",
				liftBrand = map["liftBrand"]??"",
				liftType = map["liftType"]??"",
				liftTypeName = map["liftType"]=="1"?"直梯":"扶梯",
			useCompanyCode = map["useCompanyCode"]??"";

	Map<String, dynamic> toJson() {
		final Map<String, dynamic> data = new Map<String, dynamic>();
		data['registrationCode'] = registrationCode;
		data['liftCode'] = liftCode;
		data['liftBrand'] = liftBrand;
		data['liftType'] = liftType;
		data['useCompanyCode'] = useCompanyCode;
		return data;
	}
}
